Bug 252568 - sysutils/bareos-client: python 3.8.7 change breaks with PYTHON=ON
Summary: sysutils/bareos-client: python 3.8.7 change breaks with PYTHON=ON
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-10 23:03 UTC by Brad Ackerman
Modified: 2021-04-18 08:38 UTC (History)
2 users (show)

See Also:
kai: maintainer-feedback+


Attachments
bareos-client-fix-packaging-with-py38.patch (798 bytes, patch)
2021-03-29 17:31 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Ackerman 2021-01-10 23:03:33 UTC
pkg-plist.client includes

%%PYTHON%%%%PYTHON_SITELIBDIR%%/bareosfd.so 

but the filename changes to bareosfd.cpython-38.so.
Comment 1 Kai Knoblich freebsd_committer 2021-03-29 17:31:17 UTC
Created attachment 223686 [details]
bareos-client-fix-packaging-with-py38.patch

(In reply to Brad Ackerman from comment #0)

Attached is a patch that should remedy the build issues for sysutils/bareos-client with Python 3.8 and fixes further stage QA issues as well.
Comment 2 Jose Alonso Cardenas Marquez freebsd_committer 2021-04-16 18:14:39 UTC
Kai, could you commit your patch file? Thanks!
Comment 3 Kai Knoblich freebsd_committer 2021-04-18 08:24:13 UTC
Comment on attachment 223686 [details]
bareos-client-fix-packaging-with-py38.patch

^ Triage: Set maintainer-approval flag to '+' as given by comment #2.
Comment 4 commit-hook freebsd_committer 2021-04-18 08:31:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0226c5c6f46d914b19eaf59294bba0a1bae166b9

commit 0226c5c6f46d914b19eaf59294bba0a1bae166b9
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-18 07:06:53 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-18 08:28:33 +0000

    sysutils/bareos-client: Fix packaging with PYTHON=ON for Python 3.8+

    * Since Python 3.8.7 (and also 3.9.2), .so files get an extension, e.g.
      ".cpython-38.so" if built with Python 3.8.

    * Also fix testport stage QA pkg-plist issues and omit PORTREVISION
      bump as the content of the package doesn't change.

    PR:             252568
    Reported by:    Brad Ackerman <brad@facefault.org>
    Approved by:    acm (maintainer)

 sysutils/bareos-server/pkg-plist.client | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 5 Kai Knoblich freebsd_committer 2021-04-18 08:38:06 UTC
Committed, thank you, Brad, for reporting it and Jose, for your review/approval!